#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kommander
Epoch:          1
Version: 16.12.3
Release:        %mkrel %{rel}
Summary:        Editor and program executor for .ui files
License:        GPLv2+
Group:          Graphical desktop/KDE
Url:            https://www.kde.org/applications/development/kommander/
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  kdepimlibs4-devel
BuildRequires:  pkgconfig(zlib)

Recommends:     %{name}-handbook

%description
Kommander consists of an editor and a program executor.
It uses the *.ui files generated by Qt Designer and extends the simple preview
to a full on interactive window using DBUS to communicate with widgets.
Kommander is intended for non programmers and programmers alike as a rapid
development tool.

%files
%_kde_bindir/kommander
%_kde_datadir/applnk/.hidden/kommander.desktop

#------------------------------------------------------------------------------

%package        handbook
Summary:        Kommander handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{epoch}:%{version}-%{release}

%description    handbook
This package provides kommander handbook.

%files handbook
%doc README
%doc %_kde_docdir/HTML/en/kommander

#------------------------------------------------------------------------------

%define kommandercore_major 4
%define libkommandercore %mklibname kommandercore %kommandercore_major

%package -n     %libkommandercore
Summary:        Runtime library for Kommander
Group:          System/Libraries

%description -n %libkommandercore
Runtime library for Kommander.

%files -n %libkommandercore
%_kde_libdir/libkommandercore.so.%{kommandercore_major}{,.*}

#------------------------------------------------------------------------------

%define kommanderwidgets_major 4
%define libkommanderwidgets %mklibname kommanderwidgets %kommanderwidgets_major

%package -n     %libkommanderwidgets
Summary:        Runtime library for Kommander
Group:          System/Libraries

%description -n %libkommanderwidgets
Runtime library for Kommander.

%files -n %libkommanderwidgets
%_kde_libdir/libkommanderwidgets.so.%{kommanderwidgets_major}{,.*}

#------------------------------------------------------------------------------

%define kommander_devel %mklibname kommander -d

%package -n     %kommander_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %{libkommandercore} = %{epoch}:%{version}-%{release}
Requires:       %{libkommanderwidgets} = %{epoch}:%{version}-%{release}
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %kommander_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kommander_devel
%_kde_includedir/*
%_kde_libdir/libkommander*.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%_kde_bindir/ld.gold
%cmake_kde4

%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090103
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076843
- New version 16.12.0

* Thu Dec 15 2016 daviddavid <daviddavid> 1:16.11.90-2.mga6
+ Revision: 1075427
- fix dependencies adding missing epoch

* Thu Dec 15 2016 daviddavid <daviddavid> 1:16.11.90-1.mga6
+ Revision: 1075414
- imported package kommander

